# OpalPresentityCommand Class Reference

`#include <pres_ent.h>`

Inheritance diagram for OpalPresentityCommand:

[legend]

## Public Types

typedef PAtomicInteger::IntegerType | CmdSeqType

## Public Member Functions

| OpalPresentityCommand (bool responseNeeded=false)
virtual | ~OpalPresentityCommand ()
virtual void | Process (OpalPresentity &presentity)=0

## Data Fields

CmdSeqType | m_sequence
bool | m_responseNeeded
PURL | m_presentity

## Detailed Description

Abstract class for all OpelPresentity commands.

## Member Typedef Documentation

typedef PAtomicInteger::IntegerType OpalPresentityCommand::CmdSeqType

## Constructor & Destructor Documentation

OpalPresentityCommand::OpalPresentityCommand | ( | bool | responseNeeded = `false` | ) | `[inline]`

virtual OpalPresentityCommand::~OpalPresentityCommand | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual void OpalPresentityCommand::Process | ( | OpalPresentity & | presentity | ) | `[pure virtual]`

Function to process the command. This typically calls functions on the concrete OpalPresentity class.

## Field Documentation

PURL OpalPresentityCommand::m_presentity

bool OpalPresentityCommand::m_responseNeeded

CmdSeqType OpalPresentityCommand::m_sequence

The documentation for this class was generated from the following file:

- pres_ent.h